ECHO OFF
ZFLI ANIM.FLI
EMPTYKB
TEXT
CLS
TYPE LANGUAGE.DOC
:RETEST
KEY
IF ERRORLEVEL=71 GOTO RETEST
IF ERRORLEVEL=70 GOTO FRENCH
IF ERRORLEVEL=69 GOTO ENGLISH
IF ERRORLEVEL=68 GOTO RETEST
IF ERRORLEVEL=27 GOTO END
GOTO RETEST
:FRENCH
CLS
TYPE GAMES.FR
:RETEST1
KEY
IF ERRORLEVEL=90 GOTO CHESSDEMO
IF ERRORLEVEL=89 GOTO LACDEMO
IF ERRORLEVEL=88 GOTO QUIKDEMO
IF ERRORLEVEL=75 GOTO RETEST1
IF ERRORLEVEL=74 GOTO TTF
IF ERRORLEVEL=73 GOTO TITAN
IF ERRORLEVEL=72 GOTO SCAUL
IF ERRORLEVEL=71 GOTO PRE2
IF ERRORLEVEL=70 GOTO PREH
IF ERRORLEVEL=69 GOTO FFII
IF ERRORLEVEL=68 GOTO CCIII
IF ERRORLEVEL=67 GOTO BBJBA
IF ERRORLEVEL=66 GOTO BLUES
IF ERRORLEVEL=65 GOTO STORM
IF ERRORLEVEL=28 GOTO RETEST1
IF ERRORLEVEL=27 GOTO END
GOTO RETEST1

:QUIKDEMO
CLS
CD DEMO\QUIK
QUIKDEMO
CD ..\..
GOTO FRENCH

:CHESSDEMO
CLS
CD DEMO\VCHESS
..\..\ZFLI BOARD.FLC
..\..\EMPTYKB
POLYFACE
..\..\EMPTYKB
VGA_000
VGA_001
VGA_002
VGA_003
VGA_004
VGA_005
VGA_006
VGA_007
VGA_008
VGA_009
VGA_010
VGA_011
VGA_100
VGA_101
VGA_102
VGA_103
VGA_104
VGA_105
VGA_200
VGA_201
VGA_202
VGA_203
VGA_204
VGA_205
VGA_206
VGA_207
VGA_208
VGA_209
CD ..\..
GOTO FRENCH

:LACDEMO
CLS
CD DEMO\LAC
LAC
CD ..\..
GOTO FRENCH

:TTF
CLS
TYPE DOC\TTF.FR
KEY
IF ERRORLEVEL=28 GOTO TT
IF ERRORLEVEL=27 GOTO END
:TT
CD MOKTAR
..\CDRUN MOKTAR.SQZ
CD ..
GOTO FRENCH

:TITAN
CLS
TYPE DOC\TITAN.FR
KEY
IF ERRORLEVEL=28 GOTO TI
IF ERRORLEVEL=27 GOTO END
:TI
CD TITAN
..\CDRUN TITAN.SQZ /V
CD ..
GOTO FRENCH

:SCAUL
CLS
TYPE DOC\SC.FR
KEY
IF ERRORLEVEL=28 GOTO CA
IF ERRORLEVEL=27 GOTO END
:CA
CD CAULDRON
..\CDRUN CAULDRON.SQZ
CD ..
GOTO FRENCH

:PRE2
CLS
TYPE DOC\PRE2.FR
KEY
IF ERRORLEVEL=28 GOTO PR2
IF ERRORLEVEL=27 GOTO END
:PR2
CD PREH2
..\CDRUN PRE2.SQZ
CD ..
GOTO FRENCH

:PREH
CLS
TYPE DOC\PRE.FR
KEY
IF ERRORLEVEL=28 GOTO PR
IF ERRORLEVEL=27 GOTO END
:PR
CD PREH
..\CDRUN PREH.SQZ
CD ..
GOTO FRENCH

:FFII
CLS
TYPE DOC\FF2.FR
KEY
IF ERRORLEVEL=28 GOTO F3
IF ERRORLEVEL=27 GOTO END
:F3
CD FF2
..\CDRUN FF2.SQZ
CD ..
GOTO FRENCH

:CCIII
CLS
TYPE DOC\CC3.FR
KEY
IF ERRORLEVEL=28 GOTO C3
IF ERRORLEVEL=27 GOTO END
:C3
CD CC3
..\CDRUN CC3.SQZ
CD ..
GOTO FRENCH

:BBJBA
CLS
TYPE DOC\JBA.FR
KEY
IF ERRORLEVEL=28 GOTO BA
IF ERRORLEVEL=27 GOTO END
:BA
CD BBJBA
..\CDRUN JBA.SQZ
CD ..
GOTO FRENCH

:STORM
CLS
TYPE DOC\STORM.FR
KEY
IF ERRORLEVEL=28 GOTO ST
IF ERRORLEVEL=27 GOTO END
:ST
CD STORM
..\CDRUN STORM.SQZ
CD ..
GOTO FRENCH

:BLUES
CLS
TYPE DOC\BB.FR
KEY
IF ERRORLEVEL=28 GOTO BL
IF ERRORLEVEL=27 GOTO END
:BL
CD BLUES
..\CDRUN BLUES.SQZ
CD ..
GOTO FRENCH

:ENGLISH
CLS
TYPE GAMES.UK
:E_RETEST1
KEY
IF ERRORLEVEL=90 GOTO E_CHESSDEMO
IF ERRORLEVEL=89 GOTO E_LACDEMO
IF ERRORLEVEL=88 GOTO E_QUIKDEMO
IF ERRORLEVEL=76 GOTO E_RETEST1
IF ERRORLEVEL=75 GOTO E_RETEST1
IF ERRORLEVEL=74 GOTO E_STORM
IF ERRORLEVEL=73 GOTO E_FFII
IF ERRORLEVEL=72 GOTO E_TITAN
IF ERRORLEVEL=71 GOTO E_PREH
IF ERRORLEVEL=70 GOTO E_SCAUL
IF ERRORLEVEL=69 GOTO E_BLUES
IF ERRORLEVEL=68 GOTO E_PRE2
IF ERRORLEVEL=67 GOTO E_BBJBA
IF ERRORLEVEL=66 GOTO E_CCIII
IF ERRORLEVEL=65 GOTO E_TTF
IF ERRORLEVEL=28 GOTO E_RETEST1
IF ERRORLEVEL=27 GOTO END
GOTO E_RETEST1

:E_QUIKDEMO
CLS
CD DEMO\QUIK
QUIKDEMO
CD ..\..
GOTO ENGLISH

:E_CHESSDEMO
CLS
CD DEMO\VCHESS
..\..\ZFLI BOARD.FLC
..\..\EMPTYKB
POLYFACE
..\..\EMPTYKB
VGA_000
VGA_001
VGA_002
VGA_003
VGA_004
VGA_005
VGA_006
VGA_007
VGA_008
VGA_009
VGA_010
VGA_011
VGA_100
VGA_101
VGA_102
VGA_103
VGA_104
VGA_105
VGA_200
VGA_201
VGA_202
VGA_203
VGA_204
VGA_205
VGA_206
VGA_207
VGA_208
VGA_209
CD ..\..
GOTO ENGLISH

:E_LACDEMO
CLS
CD DEMO\LAC
LAC
CD ..\..
GOTO ENGLISH

:E_TTF
CLS
TYPE DOC\TTF.UK
KEY
IF ERRORLEVEL=28 GOTO E_TT
IF ERRORLEVEL=27 GOTO END
:E_TT
CD TTF
..\CDRUN TTF.SQZ
CD ..
GOTO ENGLISH

:E_TITAN
CLS
TYPE DOC\TITAN.UK
KEY
IF ERRORLEVEL=28 GOTO E_TI
IF ERRORLEVEL=27 GOTO END
:E_TI
CD TITAN
..\CDRUN TITAN.SQZ /V
CD ..
GOTO ENGLISH

:E_SCAUL
CLS
TYPE DOC\SC.UK
KEY
IF ERRORLEVEL=28 GOTO E_CA
IF ERRORLEVEL=27 GOTO END
:E_CA
CD CAULDRON
..\CDRUN CAULDRON.SQZ
CD ..
GOTO ENGLISH

:E_PRE2
CLS
TYPE DOC\PRE2.UK
KEY
IF ERRORLEVEL=28 GOTO E_PR2
IF ERRORLEVEL=27 GOTO END
:E_PR2
CD PREH2
..\CDRUN PRE2.SQZ
CD ..
GOTO ENGLISH

:E_PREH
CLS
TYPE DOC\PRE.UK
KEY
IF ERRORLEVEL=28 GOTO E_PR
IF ERRORLEVEL=27 GOTO END
:E_PR
CD PREH
..\CDRUN PREH.SQZ
CD ..
GOTO ENGLISH

:E_FFII
CLS
TYPE DOC\FF2.UK
KEY
IF ERRORLEVEL=28 GOTO E_F3
IF ERRORLEVEL=27 GOTO END
:E_F3
CD FF2
..\CDRUN FF2.SQZ
CD ..
GOTO ENGLISH

:E_CCIII
CLS
TYPE DOC\CC3.UK
KEY
IF ERRORLEVEL=28 GOTO E_C3
IF ERRORLEVEL=27 GOTO END
:E_C3
CD CC3
..\CDRUN CC3.SQZ
CD ..
GOTO ENGLISH

:E_BBJBA
CLS
TYPE DOC\JBA.UK
KEY
IF ERRORLEVEL=28 GOTO E_BA
IF ERRORLEVEL=27 GOTO END
:E_BA
CD BBJBA
..\CDRUN JBA.SQZ
CD ..
GOTO ENGLISH

:E_STORM
CLS
TYPE DOC\STORM.UK
KEY
IF ERRORLEVEL=28 GOTO E_ST
IF ERRORLEVEL=27 GOTO END
:E_ST
CD STORM
..\CDRUN STORM.SQZ
CD ..
GOTO ENGLISH

:E_BLUES
CLS
TYPE DOC\BB.UK
KEY
IF ERRORLEVEL=28 GOTO E_BL
IF ERRORLEVEL=27 GOTO END
:E_BL
CD BLUES
..\CDRUN BLUES.SQZ
CD ..
GOTO ENGLISH


:END
CLS
ECHO ESC PRESSED !
GOTO THEEND
:THEEND